server.port=9098

#\u6570\u636E\u5E93\u8FDE\u63A5\u914D\u7F6E
spring.datasource.url=jdbc:oracle:thin:@//172.17.190.5/orcl
#spring.datasource.url=jdbc:oracle:thin:@//198.39.1.218/shhwdb
#spring.datasource.url=jdbc:oracle:thin:@//10.114.4.56/shhwdb
spring.datasource.username=ghjg_basics
spring.datasource.password=GHJG@123
#\u7A7A\u95F4\u5750\u6807\u7CFB\u53C2\u6570 \u751F\u4EA7\u5E93
spaceCoordinatesSystem=300003
#\u7A7A\u95F4\u5750\u6807\u7CFB\u53C2\u6570 \u6D4B\u8BD5\u5E93
#spaceCoordinatesSystem=300015
swagger2.enable=true

#\u589E\u52A0tomcatpost\u8BF7\u6C42\u4F20\u53C2\u5927\u5C0F\u4E3A10m
server.tomcat.max-http-post-size=-1


spring.mvc.pathmatch.matching-strategy=ant_path_matcher
spring.datasource.driver-class-name=oracle.jdbc.OracleDriver
spring.datasource.hikari.maximum-pool-size= 60
spring.datasource.hikari.maximum-idle = 15
spring.datasource.hikari.idle-timeout= 30000
#Mybatis\u914D\u7F6E
mybatis.mapper-locations=classpath*:mapper/*.xml
mybatis.type-aliases-package=com.shcd.entity
mybatis.configuration.useGeneratedkeys=true
mybatis.configuration.mapUnderscoreToCamelCase=true
mybatis.configuration.call-setters-on-nulls=true
#mybatis-plus.type-enums-package=com.shcd.ghjg.eum

#\uFFFD\uFFFD\uFFFD\uFFFDsql\uFFFD\uFFFD\u04E1\uFFFD\uFFFD\u04E6\uFFFD\u0137\uFFFD\uFFFD\uFFFD\uFFFD\u04FF\uFFFD\uFFFD\uFFFD\uFFFD\u06B5\u0130\uFFFD
logging.level.com.shcd.ghjg.dao=debug

spring.jmx.enabled=false


xxl.job.admin.addresses=http://127.0.0.1:8091/xxl-job-admin
xxl.job.executor.appname=shorePowerReceive
xxl.job.executor.ip=127.0.0.1
xxl.job.executor.port=19995
xxl.job.accessToken=
xxl.job.executor.logpath=E:/xxl-job/applogs/xxl-job
xxl.job.executor.logretentiondays=30

# redis\u914D\u7F6E
spring.redis.database=1
# \u751F\u4EA7\u7CFB\u7EDFRedis
spring.redis.host=172.17.159.1
# \u5361\u53E3\u7CFB\u7EDFRedis
#spring.redis.host=localhost
spring.redis.port=6379
spring.redis.password=b7dz82g#psNEvvuc
# \u6700\u5927\u8FDE\u63A5\u6570
spring.redis.jedis.pool.max-active=200
# \u6700\u5927\u963B\u585E\u7B49\u5F85\u65F6\u95F4\uFF08\u8D1F\u6570\u8868\u793A\u6CA1\u9650\u5236\uFF09
spring.redis.jedis.pool.max-wait=-1
# \u6700\u5927\u7A7A\u95F2
spring.redis.jedis.pool.max-idle=10
# \u6700\u5C0F\u7A7A\u95F2
spring.redis.jedis.pool.min-idle=-1
# \u8FDE\u63A5\u8D85\u65F6\u65F6\u95F4
spring.redis.timeout=10000

# 岸电数据获取token接口
shorePower="172.31.233.22:8092/shorePowerApi/query_token"
# 长航 - 港口信息设备查询
changHangPortInfo="172.31.233.22:8092/shorePowerApi/notification_changhang_port"
# 长航 - 泊位信息设备查询
changHangBerthInfo="172.31.233.22:8092/shorePowerApi/notification_changhang_berth"
# 长航 - 设备信息设备查询
changHangDeviceInfo="172.31.233.22:8092/shorePowerApi/notification_changhang_device"
# 岸电设备接口状态信息查询
queryConnectorStatusInfo="172.31.233.22:8092/shorePowerApi/query_connector_status_info"
# 连船记录信息查询
queryConnRecordInfo="172.31.233.22:8092/shorePowerApi/query_connRecord_info"
# 交接单
usedReceipt="https://andian.evchargeonline.com/api/tShorePowerUsedReceipt", "交接单")
# 岸电设备接口信息查询
queryConnectorInfo="172.31.233.22:8092/shorePowerApi/query_device_connector_info"
# 港口信息查询
portInfo="172.31.233.22:8092/shorePowerApi/query_port_info"
# 泊位信息查询
berthInfo="172.31.233.22:8092/shorePowerApi/query_berth_info"
# 设备信息查询
deviceInfo="172.31.233.22:8092/shorePowerApi/query_device_info"
# 手动填报泊位（月度）信息查询
fillInTheBerthsManually="172.31.233.22:8092/shorePowerApi/query_userBerth_record_info"
